## Class TService

Description

Implements interfaces:

- IService

TService class.

TService implements the basic methods required by IService and may be used as the basic class for application services.

- abstract:
- since: 3.0
- version: $Id: TService.php 1693 2007-02-13 04:33:05Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /TService.php (line 24)

    TComponent
       |
       --TApplicationComponent
          |
          --TService

Direct descendents

Class | Description
--- | ---
TFeedService | TFeedService class
TJsonService | TJsonService class provides to end-users javascript content response in JSON format.
TPageService | TPageService class.
TSoapService | TSoapService class

Method Summary
boolean getEnabled ()
string getID ()
void init (TXmlElement $config)
void run ()
void setEnabled (boolean $value)
void setID (string $value)
Methods
getEnabled (line 63)

- return: whether the service is enabled
- access: public

boolean getEnabled ()
getID (line 47)

- return: id of this service
- access: public

string getID ()
init (line 40)

Initializes the service and attaches run to the RunService event of application.

This method is required by IService and is invoked by application.

- access: public

void init (TXmlElement $config)

- TXmlElement $config: module configuration

Redefined in descendants as:

- TFeedService::init() : Initializes this module.
- TJsonService::init() : Initializes this module.
- TPageService::init() : Initializes the service.
- TSoapService::init() : Initializes this module.

run (line 79)

Runs the service.

- access: public

void run ()

Redefined in descendants as:

- TFeedService::run() : Runs the service.
- TJsonService::run() : Runs the service.
- TPageService::run() : Runs the service.
- TSoapService::run() : Runs the service.

setEnabled (line 71)

- access: public

void setEnabled (boolean $value)

- boolean $value: whether the service is enabled

setID (line 55)

- access: public

void setID (string $value)

- string $value: id of this service

#### Inherited Methods

Inherited From TApplicationComponent

> TApplicationComponent::getApplication()
> TApplicationComponent::getRequest()
> TApplicationComponent::getResponse()
> TApplicationComponent::getService()
> TApplicationComponent::getSession()
> TApplicationComponent::getUser()
> TApplicationComponent::publishAsset()
> TApplicationComponent::publishFilePath()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:10 -0400 by phpDocumentor 1.3.0RC4